Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libdvdnav
Version:	4.1.2
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://dvd.sourceforge.net
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	libdvdnav is a DVD navigation library that allows users to navigate DVD menus on any operating system.

%description
libdvdnav is a DVD navigation library that allows users to navigate DVD menus on any operating system.
For more details see: http://dvd.sourceforge.net

%package devel
Summary: %{name} development headers.
Group: %{group}            
Requires: %{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./autogen.sh
./configure --prefix=%_prefix
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%_bindir
%_datadir/aclocal
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
# excluding libdvdread to avoid clash with
# the libdvdcss enabled version
%exclude %_includedir/dvdread/
%_libdir/*.la
%exclude %_libdir/libdvdread.la
%_libdir/*.so
%exclude %_libdir/libdvdread.so
%_libdir/*.so.4

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Aug 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- version update
* Wed Jul 13 2005 Christian Wasem <wasem@ccux-linux.de> 0.1.10-2
- rebuild for source rpm, changing group to System/Libraries
